containers/:containerId/modelsets/:modelSetId/views
Retrieves a list of model set views in a given model set that match the provided search parameters.
The response will contain a list of views, restricted by the number specified in the pageLimit property. If the number of matching views exceeds the pageLimit, the server will provide a non-null continuationToken property in the response. This token can be used in a subsequent call to the endpoint to retrieve additional results. The server may limit the number of views returned in the response based on its own maximum limit.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/bim360/modelset/v3/containers/:containerId/modelsets/:modelSetId/views |
| Authentication Context | user context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| region string | The region to which your request should be routed. If not set, the request is routed automatically but may incur a small latency increase.
For the full list of supported regions, see the Regions page. The API continues to support |
Request
URI Parameters
| containerId string: UUID | The GUID that uniquely identifies the container. |
| modelSetId string: UUID | The GUID that uniquely identifies the model set. |
Request
Query Parameters
| pageLimit int32 | The maximum number of views to be returned in a single page. If not set, the default page limit is used, as determined by the server. If set to higher than the server’s maximum limit then the server’s limit will be used. |
| continuationToken string | The token indicating the start of the page. If not set, the first page is retrieved. |
| createdBy string | Filters the returned views by the createdBy property. |
| modifiedBy string | Filters the returned views by the modifiedBy property. |
| after datetime: ISO 8601 | Filters the returned views to those created or modified after the given time. |
| before datetime: ISO 8601 | Filters the returned views to those created or modified before the given time. |
| isPrivate boolean | If set to true, filters the returned views to only those belonging to this user. |
| sortBy array: enum: string | Defines properties to sort the returned views by. |
| sortDirection enum: string | Defines the sort direction.
Possible values: |
Response
HTTP Status Code Summary
| 200 OK | Success |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded. Wait some time before retrying. The Retry-After header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| page object | Paging information associated with a paging response. |
| continuationToken string | A continuation token to retrieve the next page. |
| modelSetViews array: object | The list of model set views.
Max items: |
| name string | The name of the model set view.
Min length: |
| description string | The description of the model set view.
Min length: |
| isPrivate boolean | Determines whether the view is only accessible to its creator. |
| screenshotId string: UUID | The GUID that uniquely identifies the screenshot. |
| definition array: object | The definition of models in a model set view, which is used to track the same models through time.
Min items: |
| lineageUrn string | The lineage URN of the seed file or document lineage to track with this view.
Min length: |
| viewableName string | The name of the viewable in the Model Derivative manifest to track along the seed file lineage. This value is ignored if lineageUrn is the URN of a BIM 360 Docs Plans folder document.
Min length: |
| modifiedBy string | The unique identifier of the user who modified the model set. |
| modifiedTime datetime: ISO 8601 | The date and time that the model set was modified. |
| viewId string: UUID | The GUID that uniquely identifies the view. |
| createdBy string | The ID of the user or service that created the view. |
| createdTime datetime: ISO 8601 | The date and time that the view was created. |
| published object | If this view is published, the data concerning the publish destination. |
| name string | The name of the seed file representing the published view.
Min length: |
| time datetime: ISO 8601 | The time of the last publish operation. |
| folderUrn string | The URN of the folder in which the published view resides. |
| versionUrn string | The URN of the seed file representing the published view. |
Response
Body Structure (400)
| type string | The error code. |
| title string | A short title for the error. |
| detail string | A more detailed, human readable description of the error, assuming that this message is not localized and is therefore EN-US. UI consumers can use the error.type value to provide a localized version of this error for presentation. |
| errors array: object | A set of specific validation errors that need to be fixed. |
| field string | The field which failed validation. |
| title string | A short title for the error. |
| detail string | A more detailed, human readable description of the error, assuming that this message is not localized and is therefore EN-US. UI consumers can use the error.type value to provide a localized version of this error for presentation. |
| type string | The error code. |
Example #1 (no query parameters)
Request
curl -v 'https://developer.api.autodesk.com/bim360/modelset/v3/containers/f0f4f36a-ac64-687f-b132-8efe04b22454/modelsets/00fb28a5-e8a4-2755-562a-7c2f0fc87911/views' \
-H 'Authorization: Bearer <token>'
Example #2 (with all query parameters)
Request
curl -v 'https://developer.api.autodesk.com/bim360/modelset/v3/containers/f0f4f36a-ac64-687f-b132-8efe04b22454/modelsets/00fb28a5-e8a4-2755-562a-7c2f0fc87911/views?pageLimit=134&continuationToken=10&createdBy=PD23PXGV8V3V&modifiedBy=PD23PXGV8V3V&after=2015-10-21T16%3a30%3a39.000Z&before=2015-10-21T16%3a29%3a47.000Z&isPrivate=False&sortBy=Name&sortDirection=Asc' \
-H 'Authorization: Bearer <token>'
Response (200)
{
"page": {
"continuationToken": "10"
},
"modelSetViews": [
{
"name": "L1 - All disciplines",
"description": "All discipline models for Level 1",
"isPrivate": false,
"definition": [
{
"lineageUrn": "urn:adsk.wipprod:dm.lineage:jvMF7mrHR7OwG_DToKsJUA",
"viewableName": "Level 1"
}
],
"modifiedBy": "PD23PXGV8V3V",
"viewId": "7ed27144-ac06-4b72-5dd6-76bee05854be",
"createdBy": "PD23PXGV8V3V",
"createdTime": "2015-10-21T16:31:44.000Z"
}
]
}
Response (400)
{
"type": "BadInput",
"title": "One or more input values in the request were bad",
"detail": "The following parameters are invalid: containerId",
"errors": [
{
"field": "containerId",
"title": "Invalid parameter",
"detail": "The value 'testing' is not valid.",
"type": "BadInput"
}
]
}